#include<stdio.h>
#include "inpoint.h"
int
error(const char *msg)
{
printf("%s\n",msg);
return 0;
}


void
errorexit(const char *msg)
{
printf("%s\n",msg);
exit(1);
}

int 
getpoint (point_t *pt)
{
 char op,cm,cp;
 char line[80];
 int x, y;
 if (scanf("%79s",line) == EOF) return 0;
 int ns=sscanf(line,"%c%d%c%d%c",&op,&x,&cm,&y,&cp);

 if (5!=ns)
  {
   printf("ns:%d\n",ns);
   errorexit("parse error: incomplete field\n");
  }

 if ('('!=op || ',' != cm || ')' != cp)
  {
   errorexit("parse error: pair deliminter\n");
  }
 pt->x=x; pt->y=y;
 return;
}

void
putpoint(const point_t *pt)
{
printf("(%d,%d)\n",pt->x,pt->y);
}

point_t *
newpoint()
{
point_t *aux = (point_t *) malloc(sizeof(point_t));

if (!getpoint(aux)) return 0;
return aux;

}

pointcell_t *
newpointcell()
{
pointcell_t *aux=(pointcell_t *) malloc(sizeof(pointcell_t));

if (!aux) error("point cell allocation\n");

if ( (aux->pt = newpoint()) ==0) return 0;
aux->npt = 0;
return aux;
}

void
freecell(pointcell_t *c)
{
free (c->pt);
free (c);
}


